package com.usoftchina.bi.server.model.bo;
/*
总体统计
 */
public class AggregateTable {

    private String columnTarget;          //分析的目标列
    private int isBars;                   //条数
    private int isPercentage;             //百分比
    private int isSum;
    private int isAverage;
    private int isStandardDeviation;    //标准差
    private int isMax;
    private int isFirstPercentile;       //25th
    private int isAfterPercentile;       //75th
    private int isMedian;                //中位数
    private int isMin;

    public String getColumnTarget() {
        return columnTarget;
    }

    public void setColumnTarget(String columnTarget) {
        this.columnTarget = columnTarget;
    }

    public int getIsBars() {
        return isBars;
    }

    public void setIsBars(int isBars) {
        this.isBars = isBars;
    }

    public int getIsPercentage() {
        return isPercentage;
    }

    public void setIsPercentage(int isPercentage) {
        this.isPercentage = isPercentage;
    }

    public int getIsSum() {
        return isSum;
    }

    public void setIsSum(int isSum) {
        this.isSum = isSum;
    }

    public int getIsAverage() {
        return isAverage;
    }

    public void setIsAverage(int isAverage) {
        this.isAverage = isAverage;
    }

    public int getIsStandardDeviation() {
        return isStandardDeviation;
    }

    public void setIsStandardDeviation(int isStandardDeviation) {
        this.isStandardDeviation = isStandardDeviation;
    }

    public int getIsMax() {
        return isMax;
    }

    public void setIsMax(int isMax) {
        this.isMax = isMax;
    }

    public int getIsFirstPercentile() {
        return isFirstPercentile;
    }

    public void setIsFirstPercentile(int isFirstPercentile) {
        this.isFirstPercentile = isFirstPercentile;
    }

    public int getIsAfterPercentile() {
        return isAfterPercentile;
    }

    public void setIsAfterPercentile(int isAfterPercentile) {
        this.isAfterPercentile = isAfterPercentile;
    }

    public int getIsMedian() {
        return isMedian;
    }

    public void setIsMedian(int isMedian) {
        this.isMedian = isMedian;
    }

    public int getIsMin() {
        return isMin;
    }

    public void setIsMin(int isMin) {
        this.isMin = isMin;
    }

    @Override
    public String toString() {
        return "AggregateTable{" +
                "columnTarget='" + columnTarget + '\'' +
                ", isBars=" + isBars +
                ", isPercentage=" + isPercentage +
                ", isSum=" + isSum +
                ", isAverage=" + isAverage +
                ", isStandardDeviation=" + isStandardDeviation +
                ", isMax=" + isMax +
                ", isFirstPercentile=" + isFirstPercentile +
                ", isAfterPercentile=" + isAfterPercentile +
                ", isMedian=" + isMedian +
                ", isMin=" + isMin +
                '}';
    }
}
